## TeplLanguageChooserDialog TeplLanguageChooserDialog — A dialog for choosing a GtkSourceLanguage |

## Functions

TeplLanguageChooserDialog * | tepl_language_chooser_dialog_new ()

## Types and Values

struct | TeplLanguageChooserDialog

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── GtkDialog
                                ╰── TeplLanguageChooserDialog

## Implemented Interfaces

TeplLanguageChooserDialog implements AtkImplementorIface, GtkBuildable and TeplLanguageChooser.

## Includes

    #include <tepl/tepl.h>

## Description

TeplLanguageChooserDialog is a GtkDialog to choose a GtkSourceLanguage. TeplLanguageChooserDialog implements the TeplLanguageChooser interface.

The GtkDialog contains two buttons: Cancel and Select. During the “response” signal emission, if the user has clicked on the Select button, then the “language-activated” signal is emitted.

You probably want to connect to the “response” signal with the `G_CONNECT_AFTER` flag, to destroy the dialog.

## Functions

### tepl_language_chooser_dialog_new ()

    TeplLanguageChooserDialog *
    tepl_language_chooser_dialog_new (GtkWindow *parent);

#### Parameters

parent | transient parent of the dialog, or `NULL`. | [nullable]

#### Returns

a new TeplLanguageChooserDialog widget.

Since: 6.0

## Types and Values

### struct TeplLanguageChooserDialog

    struct TeplLanguageChooserDialog;